/*
    Name:Lucianna Beltran
    Date: 03/23/2026
    File: styles.css
*/

/* -----------------------------------------*/
/* CSS Reset */
/* -----------------------------------------*/

body, header, nav, main, footer, img, video, aside, figure, figcaption, ul{
    margin: 0;
    padding: 0;
    border: 0;
}

/* Style rules for body and images */
body {
    background-color: #f6eee4;
}
img, video {
    max-width: 100%;
    display: block;
}

/* -----------------------------------------*/
/*Style rules for mobile viewport */
/* -----------------------------------------*/

/* Style rules to show mobile class and hide tab-desk class */
.mobile,
.mobile-tablet {
    display: block;
}
.tab-desk,
.desktop {
    display: none;
}

/* Style rules for header area */
.mobile h1, .mobile h3 {
    padding: 2%;
    text-align: center;
}

.mobile h1 {
    font-family: 'Emblema One', cursive;
}

.mobile h3 {
    font-family: 'Lora', serif;
}

main {
    padding: 2%;
    font-family: 'Lora', serif;
}

/* Style rules for navigation area */
nav {
    background-color: #2a1f14;
}

nav li {
    display: block;
    border-top: 0.5px solid #f6eee4;
}

nav li a {
    display: block;
    color: #f6eee4;
    padding: 0.5em 2em;
    text-decoration: none;
    text-align: center;
}

nav ul {
    list-style-type: none;
    padding-left:0;
}

/* Style rules for the nav li a selector */
nav li a {
    padding: 0.5em;
}
/* Style rules for main content */
main {
    padding: 2%;
    font-family: Verdana, Arial, sans-serif;
}

main p {
    font-size: 1.25em;
}

main h3 {
    padding-top: 2%;

}

main ul {
    list-style-type: square;
}

.link {
    color: #4d3319;
    text-decoration: none;
    font-weight: bold;
    font-style: italic;
}

.action {
    font-size: 1.75em;
    font-weight: bold;
    text-align: center;
}

#contact {
    text-align: center;
}

.round {
    border-radius: 6px;
}

aside {
    text-align: center;
    font-size: 1.5em;
    font-weight: bold;
    text-shadow: 4px 4px 10px #c5a687;
}

figure {
    border: 4px solid #2a1f14;
    box-shadow: 6px 6px 10px #c5a687;
    max-width: 400px;
    margin: 2% auto;
}

figcaption {
    padding: 2%;
    border-top: 4px solid #2a1f14;
}

#info ul {
    margin-left: 10%;
}

#contact, #form h2 {
    text-align: center;
}

/* Style rules for form elements */

fieldset, input, textarea {
    margin-bottom: 2%;
}

fieldset legend {
    font-weight: bold;
    font-size: 1.25em;
}

label {
    display: block;
    padding-top: 2%;
}

form #submit {
    margin: 0 auto;
    display: block;
    padding: 2%;
    background-color: #78593a;
    color: #f6eee4;
    font-size: 1.25em;
    border-radius: 10px;
}

/* Style rules for telephone link */
.tel-link {
    background-color: #2a1f14;
    padding: 2%;
    width: 80%;
    margin: 0 auto;
}

.tel-link a {
    color: #f6eee4;
    text-decoration: none;
    font-weight: bold;
}
/* -----------------------------------------*/
/* Media Query for Tablet Viewport */
/* -----------------------------------------*/
@media screen and (min-width: 620px), print {
    /* Show tab-desk class, hide mobile class */
    .tab-desk {
        display: block;
    }

    .mobile {
        display: none;
    }

    /*Style rules for nav area */
    nav ul {
        display: flex;
        justify-content: center;
        font-size: 1.25em;
    }

    nav li {
        border-top: none;
    }
    nav li a {
        padding: 0.5em 1em;
    }

    .grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
    }

    aside {
        grid-column: 1 / span 2;
    }

    /* Tablet Viewport: Style rules for form element */
    form {
        width: 70%;
        margin: 0 auto;
    }
}

/* Talet Viewport: Style rule for map */
.map {
    width: 500px;
    height: 450px;
}
/* -----------------------------------------*/
/* Media Query for Desktop Viewport */
/* -----------------------------------------*/
@media screen and (min-width: 769px), print {

    /* Desktop Viewport: Show desktop class, hide mobile-tablet class */

    .desktop {
        display: block;
    }
    .mobile-tablet {
        display: none;
    }

    /* Desktop Viewport: Style rule for header */
    header {
        padding: 2%
    }
    
    /* Destop Viewport: Style rules for nav area */

    nav li a {
        padding: 0.5em 1.5em;
    }
    nav li a:hover{
        color: #373684;
        background-color: #e5e9fc;
        opacity: 0.5;
    }

    /* Destop Viewport: Style rules for main content */
    #info ul {
        margin-left: 5%;
    }

    main h3 {
        font-size: 1.5em;
    }

    #piano, #guitar, #violin {
        width: 29%;
        float: left;
        margin: 0 2%;
    }

    .grid {
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 30px;
    }

    aside {
        grid-column: 1 / span 3;
        font-size: 2em;
    }

    /* Style rules for table */

    table {
        border: 1px solid #2a1f14;
        border-collapse: collapse;
        margin: 0 auto;
    }

    caption {
        font-size: 1.5em;
        font-weight: bold;
        padding: 1%;
    }

    th, td {
        border: 1px solid #2a1f14;
        padding: 1%;
    }

    th {
        background-color: #2a1f14;
        color: #fff;
        font-size: 1.15em;
    }

    tr:nth-child(odd) {
        background-color: #deccba;
    }
    /* Destop Viewport: Style rules for form element */
    form {
        width: auto;
    }

    .form-grid {
        display: grid;
        grid-template-columns: auto auto;
        grid-gap: 20px;
    }

    .btn {
        grid-column: 1/span 2;
    }
}
/* -----------------------------------------*/
/* Media Query for Large Destop Viewports */
/* -----------------------------------------*/
@media screen and (min-width: 1921px) {

    body {
        background: linear-gradient (#f6eee4, #78593a);
    }

    #wrapper {
        width: 1920px;
        margin: 0 auto;
    }

    main {
        background-color: #f6eee415;
    }

    .grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    aside {
        grid-column: 1 / span 4;
        font-size: 3em;
    }
}
/*------------------------------------------*/
/* Media Query for Print */
/*------------------------------------------*/
@media print {
    body {
        background-color: #fff;
        color: #000;
    }
}
/*Style rules for form elements */

/*Style rules for footer content */
footer {
    text-align: center;
    font-size: 0.85em;
     background-color: #2a1f14;
     color: #f6eee4;
     padding: 1% 0%;
}

footer a {
    color: #f3e6d8;
    text-decoration: none;
}